## katedec katedec |

## Properties

gchar * | category | Read
gchar * | language | Read
gint | original-canvas-height | Read
gint | original-canvas-width | Read
gboolean | remove-markup | Read / Write

## Types and Values

struct | GstKateDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstKateDec

## Description

This element decodes Kate streams

Kate is a free codec

for text based data, such as subtitles. Any number of kate streams can be embedded in an Ogg stream.

libkate (see above url) is needed to build this plugin.

#### Example pipeline

This explicitely decodes a Kate stream:

    1
    gst-launch-1.0 filesrc location=test.ogg ! oggdemux ! katedec ! fakesink silent=TRUE

This will automatically detect and use any Kate streams multiplexed in an Ogg stream:

    1
    gst-launch-1.0 playbin uri=file:///tmp/test.ogg

## Synopsis

### Element Information

plugin | kate
author | Vincent Penquerc'h <ogg.k.ogg.k@googlemail.com>
class | Codec/Decoder/Subtitle

### Element Pads

name | sink
direction | sink
presence | always
details | subtitle/x-kate

name | src
direction | source
presence | always
details | text/x-raw, format=(string){ pango-markup, utf8 }
| subpicture/x-dvd

## Functions

## Types and Values

### struct GstKateDec

    struct GstKateDec;

## Property Details

### The `“category”` property

      “category”                 gchar *

The category of the stream.

Flags: Read

Default value: ""

### The `“language”` property

      “language”                 gchar *

The language of the stream.

Flags: Read

Default value: ""

### The `“original-canvas-height”` property

      “original-canvas-height”   gint

The canvas height this stream was authored for (0 is unspecified).

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“original-canvas-width”` property

      “original-canvas-width”    gint

The canvas width this stream was authored for.

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“remove-markup”` property

      “remove-markup”            gboolean

Remove markup from decoded text ?.

Flags: Read / Write

Default value: FALSE

## See Also

oggdemux